Subject: Re: chrome won't update

From: James Mcphee via PLUG-discuss <[email-masked]>
Date: Wed, 5 Mar 2025 11:47:32 -0700

libglib2.0-0t64 is a breaking change that supports 64 bit time types.  If
you can't get a chrome that works with it, you can force your libglib2.0-0
to a particular version by choosing one that is not t64.  apt-cache policy
libglib2.0-0.  then apt install libglib2.0-0=<version>.  then put a hold on
that package to prevent upgrades apt-mark hold libglib2.0-0.

this is horrible to do, has global implications to your system, might break
other packages, and you'll have to manually consider fixes that won't be
automatically applied or suggested to you.  but it IS an option to get it
working immediately.

another option is to use a container-based chromium.  snap, flatpak,
whatever you prefer.  I think you use ubuntu, so probably snap?

definitely best to get a chrome that works with updated libglib if
feasible.  there might be a non-stable that has it already, etc.

On Wed, Mar 5, 2025 at 11:31 AM Michael via PLUG-discuss <
[email-masked]> wrote:

> it says dependency not satisfiable. So I tried to apt it:
> bmike1@bmike1-desktop:~$ apt install libglib2.0-0
> [sudo] password for bmike1:
> Reading package lists... Done
> Building dependency tree... Done
> Reading state information... Done
> Note, selecting 'libglib2.0-0t64' instead of 'libglib2.0-0'
> libglib2.0-0t64 is already the newest version (2.80.0-6ubuntu3.2).
> libglib2.0-0t64 set to manually installed.
> 0 upgraded, 0 newly installed, 0 to remove and 241 not upgraded.
> bmike1@bmike1-desktop:~$
>
> What do I do? Should I  just wait?
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>

-- 
James McPhee
[email-masked]
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss